{% extends "base.html" %}
{% load static %}
{% block titulo %}
Transferencias globales creadas
{% endblock titulo %}
{% block content1 %} 
<script type="text/javascript">
  $("#navTrans").attr('class','dropdown active');
  $("#navTransCreadasGlobal").attr('class','active');
</script>
        <div class="row">
          <div class="col-md-12" >
              <div class="panel panel-default">
                <div class="panel-heading panel-toolbar"> 
                  <strong>TRANSFERENCIAS GLOBALES CREADAS</strong>
                  <div class="toolbar">
                    <button type="button" class="btn btn-default btn-sm" id="RefrescarLista"><span class="fa fa-refresh"></span> Actualizar</button>
                  </div>
                </div>
                <div class="panel-body">
                  <div class="row" >
                    <div class="col-md-12">
                      <h4 class="bg-success" align="center" id="ExitoMensaje">
                      </h4>
                    </div>
                  </div>
                   <div class="row">
                    <div class="col-md-4">
                      <div class="fg-line">
                      <input type="text" class="form-control" placeholder="Nombre o Apellidos (Beneficiado o Solicitante)" id="filtro">
                      </div>
                      <p></p>
                    </div>
                    <div class="col-md-1" >
                      <button type="button" class="btn btn-primary btn-sm" id="buscar"><i class="fa fa-search"></i> Buscar</button>
                      <p></p>
                    </div>
                    <div class="col-md-2" >
                      <button type="button" class="btn btn-primary btn-block btn-sm" id="filtroX" data-toggle="modal" data-target="#modalFiltroAvanzado"><span class="glyphicon glyphicon-cog"></span> Filtro Avanzado</button>
                      <p></p>
                    </div>
                  </div>
                  <div class="row">
                      <div class="col-md-12">

                          <div id="myModal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                              <div class="modal-dialog modal-lg">
                                <div class="modal-content">
                                  <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                    <label class="modal-title" id="myModalLabel">Detalle de Transferencia</label>
                                  </div>
                                  <div class="modal-body">
                                    <div class="row">
                                      <div class="col-md-6" >
                                        <div class="panel panel-default">
                                          <div class="panel-heading" align="center"> <strong>SOLICITANTE</strong></div>
                                          <div class="panel-body">
                                            <div class="row myb-4">
                                              <div class="col-md-8">
                                                  <div class="form-group">
                                                    <div class="input-group">
                                                      <div class="input-group-addon" ><label>DNI/RUC:</label></div>
                                                      <input type="text" class="form-control" id="txtDNI" disabled>
                                                    </div>
                                                  </div>
                                                </div>

                                            </div>
                                            <div class="row myb-4">
                                              <div class="col-md-12">
                                                <div class="form-group">
                                                  <div class="input-group">
                                                    <div class="input-group-addon" ><label>Nombres</label></div>
                                                    <input type="text" class="form-control" id="txtNombres_Soli" disabled>
                                                    <div class="input-group-addon" >
                                                      <button type="button" class="btn btn-default btn-xs" id="modificarSli" data-toggle="modal" data-target="#myModalSolici">Modificar</button>
                                                    </div>
                                                  </div>
                                                </div>
                                              </div>
                                            </div>
                                            <div class="row">
                                              <div class="panel panel-default">
                                                <div class="panel-heading" align="center"> <strong>BENEFICIADO</strong></div>
                                              </div>
                                            </div>
                                            <div class="row">
                                              <div class="col-md-12"> 
                                                  <span>Nombres</span>
                                               <label class="pull-left1" id="lbNB"></label> 
                                              
                                               <label class="pull-left1" id="lbAPB"></label> 
                                               <label class="pull-left1" id="lbAMB"></label> 
                                              </div>

                                          </div>

                                          <div class="row">
                                            <div class="col-md-8">
                                              <div class="form-group">
                                                <div class="input-group">
                                                  <div class="input-group-addon" ><label>DNI</label></div>
                                                  <input type="text" class="form-control" id="txtN">
                                                  <div class="input-group-addon" >
                                                    <button type="button" class="btn btn-default btn-xs" data-toggle="modal" data-target="#myModalB" id="btnMB">Modificar</button>
                                                  </div>
                                                </div>
                                              </div>
                                            </div>
                                          </div>

                                            
                                          
                                          </div>
                                        </div>
                                        <div class="panel panel-default" id="divDetBanco">
                                          <div class="panel-heading">DETALLE BANCO
                                          </div>
                                          <div class="panel-body">
                                            <div class="row fila-corto">
                                              <div class="col-md-10 col-md-offset-1">
                                                <div class="input-group">
                                                  <div class="input-group-addon"><label>BANCO</label></div>
                                                  <input type="text" class="form-control" id="txtdetb-banco" name="detb-banco" autocomplete="off" disabled>
                                                </div>
                                              </div>
                                            </div>

                                            <div class="row fila-corto">
                                              <div class="col-md-10 col-md-offset-1">
                                                <div class="input-group">
                                                  <div class="input-group-addon"><label>N° Cuenta / DNI:</label></div>
                                                  <input type="text" class="form-control" id="txtdetb-nrocta" name="detb-nrocta" autocomplete="off">
                                                </div>
                                              </div>
                                            </div>
                                            <div class="row fila-corto">
                                              <div class="col-md-10 col-md-offset-1">
                                                <div class="input-group">
                                                  <div class="input-group-addon"><label>Cel Referencia:</label></div>
                                                  <input type="text" class="form-control" id="txtdetb-celref" name="detb-celref" autocomplete="off">
                                                </div>
                                              </div>
                                            </div>
                                            <div class="row fila-corto">
                                              <div class="col-md-10 col-md-offset-1">
                                                <div class="input-group">
                                                  <div class="input-group-addon"><label>Nro Operacion:</label></div>
                                                  <input type="text" class="form-control" id="txtdetb-nroope" name="detb-nroope" autocomplete="off">
                                                </div>
                                              </div>
                                            </div>
                                            <div class="row fila-corto">
                                              <div class="col-md-10 col-md-offset-1">
                                                <div class="input-group">
                                                  <div class="input-group-addon"><label>Nro Giro:</label></div>
                                                  <input type="text" class="form-control" id="txtdetb-nrogiro" name="detb-nrogiro" autocomplete="off">
                                                </div>
                                              </div>
                                            </div>
                                            <div class="row">
                                              <div class="col-md-10 col-md-offset-1">
                                                <div class="input-group">
                                                  <div class="input-group-addon"><label>Clave de cobro:</label></div>
                                                  <input type="text" class="form-control" id="txtdetb-clave" name="detb-clave" autocomplete="off">
                                                </div>
                                              </div>
                                            </div>
                                            <div class="row">
                                              <div class="col-md-12" align="center">
                                                <div class="btn-group" role="group">
                                                   <strong><a class="text-info" href="#" id="btn_actualizar_bancos">Actualizar Datos de Bancos</a></strong>
                                                 </div>
                                              </div>
                                            </div>

                                          </div>
                                        </div>
                                      </div>
                                      <div class="col-md-6">
                                        <div class="panel panel-success">
                                          <div class="panel-heading panel-toolbar">
                                            <strong>Datos de Transferencia</strong>
                                            <button type="button" class="btn btn-success btn-sm" id="rimprimir">Re-imprimir</button>
                                          </div>
                                          <div class="panel-body">
                                            <div class="row myb-4">
                                                <div class="col-md-8">
                                                  <div class="form-group">
                                                    <div class="input-group">
                                                      <div class="input-group-addon" ><label>ID</label></div>
                                                      <input type="text" class="form-control" id="txtIDtrans" disabled="disabled">   
                                                    </div>
                                                  </div>
                                                </div>
                                            </div>
                                            <div class="row myb-4">
                                                <div class="col-md-8">
                                                  <div class="form-group">
                                                    <div class="input-group">
                                                      <div class="input-group-addon" ><label>Estado</label></div>
                                                      <input type="text" class="form-control" id="txtEstadoTrans" disabled="disabled">
                                                    </div>
                                                  </div>
                                                </div>
                                                <div class="col-md-2">
                                                  <!--<button type="button" class="btn btn-danger btn-sm"id="extornarT">Extornar</button>-->
                                                </div>
                                            </div>
                                              <div class="row">
                                                <div class="col-md-12"> 
                                                  <h4 >Nro Recibo: <b id="txtnr"></b></h4> 
                                                </div>
                                              </div>
                                              <div class="row myb-4">
                                                <div class="col-md-8">
                                                  <div class="form-group">
                                                    <div class="input-group">
                                                      <div class="input-group-addon" ><label>Fecha</label></div>
                                                      <input type="text" class="form-control" id="txtFecha" disabled="disabled">   
                                                    </div>
                                                  </div>
                                                </div>
                                              </div>
                                              <div class="row myb-4">
                                                <div class="col-md-12">
                                                  <div class="form-group">
                                                    <div class="input-group">
                                                      <div class="input-group-addon" ><label>Emisor</label></div>
                                                      <input type="text" class="form-control" id="txtPersonalE" disabled="disabled">   
                                                    </div>
                                                  </div>
                                                </div>
                                              </div>
                                              <div class="row myb-4">
                                                <div class="col-md-12">
                                                  <div class="form-group">
                                                    <div class="input-group">
                                                      <div class="input-group-addon" ><label>Global</label></div>
                                                      <input type="text" class="form-control" id="txtPerDig" disabled="disabled">   
                                                    </div>
                                                  </div>
                                                </div>
                                              </div>

                                              <div class="row myb-4">
                                                <div class="col-md-12">
                                                  <div class="form-group">
                                                    <div class="input-group">
                                                      <div class="input-group-addon" ><label>Destino</label></div>
                                                      <input type="text" class="form-control" id="txtOficinaDest" disabled="disabled">   
                                                    </div>
                                                  </div>
                                                </div>
                                              </div>
                                              <div class="row myb-4">
                                                <div class="col-md-8">
                                                  <div class="form-group">
                                                    <div class="input-group">
                                                      <div class="input-group-addon" ><label>Cantidad</label></div>
                                                      <input type="text" class="form-control t-monto" id="txtMonto" disabled="disabled">   
                                                    </div>
                                                  </div>
                                                </div>
                                              </div>

                                              <div class="row myb-4">
                                                <div class="col-md-8">
                                                  <div class="form-group">
                                                    <div class="input-group">
                                                      <div class="input-group-addon" ><label>Comisión</label></div>
                                                      <input type="text" class="form-control t-monto" id="txtComicion" disabled="disabled">   
                                                    </div>
                                                  </div>
                                                </div>
                                              </div>
                                              <div class="row myb-4">
                                                  <div class="col-md-4" align="right"> 
                                                    <label>Observaciones</label> 
                                                  </div>
                                                  <div class="col-md-8">
                                                    <!--
                                                    <input type="text" class="form-control" id="txtObs" disabled="disabled">-->
                                                    <textarea class="form-control" rows="2" id="txtObs" disabled="disabled" ></textarea >         
                                                  </div> 
                                              </div>
                                              <div class="row">
                                                  <div class="col-md-4" align="right"> 
                                                    <label>Detalle Otros Conceptos</label> 
                                                  </div>
                                                  <div class="col-md-8">
                                                    <!--
                                                    <input type="text" class="form-control" id="txtObs" disabled="disabled">-->
                                                    <textarea class="form-control" rows="2" id="txtotros_con" disabled="disabled" ></textarea >         
                                                  </div> 
                                              </div>
                                          </div>
                                        </div>
                                      </div>
                                    </div>
                                  </div>

                                </div><!-- /.modal-content -->
                              </div><!-- /.modal-dialog -->
                          </div><!-- /.modal -->
                          <div id="modal1" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                              <div class="modal-dialog">
                                <div class="modal-content">
                                  <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                    <h4 class="modal-title" id="myModalLabel">Detalles</h4>
                                  </div>
                                  <div class="modal-body">
                                    <div  id="platillaI"  style="font-family:'Lucida Console', Monaco, monospace;font-size:13px;">
                                      <label align="center"><b>PAGO DE TRANSFERNCIAS</b></label>
                                      <table>
                                        <tr nowrap>=============================</tr>
                                      </table>
                                      <h6 id="plTitulo"></h6>
                                      <b>Destino:</b>
                                      <p id="plOri"></p>
                                      <b>Beneficiado:</b>
                                      <p id="plB"></p>
                                      <b>Remitente:</b>
                                      <p id="plR"></p>
                                      <b>Observaciones:</b>
                                      <p id="plObs"></p>
                                      <b>Fecha de operación:</b>
                                      <p id="fepa"></p>
                                      <b>Monto:</b>
                                      <h4 id="plM"></h4>
                                      <p id="caextTo"><b>Comision / Bancos: </b> <span id="extCo"></span></p>
                                      <br>
                                      <table>
                                        <tr>
                                          <td nowrap>__________&nbsp;</td>
                                          <td>&nbsp;</td>
                                          <td nowrap>&nbsp;____________</td>
                                        </tr>
                                        <tr>
                                          <td nowrap><h6>Recibi conforme</h6></td>
                                          <td>&nbsp;</td>
                                          <td nowrap>&nbsp;&nbsp; Op. {{ nombre_usuario }}</td>
                                        </tr>
                                      </table>
                                      <p><b>DNI:</b>&nbsp;<b id="idn"></b></p>
                                      <p id ="hopa"></p>
                                    </div>
                                  </div>
                                  <div class="modal-footer">
                                    <hr>
                                    <button type="button" class="btn btn-primary" data-dismiss="modal">Cerrar</button>
                                  </div>

                                </div><!-- /.modal-content -->
                              </div><!-- /.modal-dialog -->
                          </div><!-- /.modal -->
                        <div id="modal2" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                              <div class="modal-dialog">
                                <div class="modal-content">
                                  <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                    <h4 class="modal-title" id="myModalLabel">Detalles</h4>
                                  </div>
                                   <div class="modal-body">
                                    <div  id="platillaI2" style="font-family:'arial', Monaco, monospace;font-size:18px;">
                                       <table>
                                         <tr style="text-align: center;">
                                          <td align="center"><img src="{% static 'img/golden-letras.png' %}" style="width: 400px; padding-bottom:20px;"></td>
                                        </tr>
                                      </table>
                                      <table>
                                         <tr style="border-top: 1px solid #000">
                                          <td width="15%"></td>
                                          <td><h4>SOLICITUD TRANSFERENCIA</h4></td>
                                          <td nowrap width="14%"></td>
                                        </tr>
                                      </table>  
                                        
                                      <table>
                                         <tr>
                                          <td nowrap style="text-align: left;"><h4 id="nror"></h4> </td>
                                          <td nowrap style="padding-left: 150px"><h4 id="idST"></h4> </td>
                                          <td nowrap style="padding-right:10px"></td>
                                        </tr>
                                        <tr>
                                          <td nowrap>FECHA:  </td>
                                          <td nowrap style="padding-left: 20px"><span id="fechaRecibo"></span></td>
                                          <td nowrap></td>
                                        </tr>
                                        
                                       
                                      </table>
                                      
                                      <table>
                                        <tr>
                                          <td nowrap>PROCEDENCIA:</td>
                                          <td style="padding-left: 20px"> <h4 id="oficinaRecibo">{{ SITE_URL }}<h4></td>
                                          <td nowrap></td>
                                        </tr>
                                      </table>

                                      <table>
                                        <tr>
                                          <td nowrap>DESTINO:</td>
                                          <td style="padding-left: 15px"><h4 id="oficinaDestino"><h4></td>
                                          <td nowrap></td>
                                        </tr>
                                         <tr>
                                          <td nowrap style="padding-bottom: 18px;">SOLICITANTE:</td>
                                          <td nowrap style="padding-left: 15px;white-space: pre;"><span id="soli"></span></td>
                                          <td nowrap></td>
                                        </tr>
                                         <tr>
                                          <td nowrap style="padding-bottom: 18px;">BENEFICIADO:</td>
                                          <td nowrap style="padding-left: 15px;white-space: pre;"><span id="bene"></span></td>
                                          <td nowrap></td>
                                        </tr>
                                      </table>

                                       <table>
                                        <tr>
                                          <td nowrap><h3><b>IMPORTE:</b></h3></td>
                                          <td nowrap></td>
                                          <td nowrap></td>
                                        </tr>
                                         <tr>
                                          <td nowrap style="padding-left: 5px">MONTO:</td>
                                          <td nowrap style="padding-left: 20px"></td>
                                          <td nowrap><h4 id="monto_tr"></h4></td>
                                        </tr>
                                         <tr>
                                          <td nowrap style="padding-left: 5px">COMISIÓN:</td>
                                          <td nowrap style="padding-left: 20px"></td>
                                          <td nowrap><h4 id="comi_tr"></h4></td>
                                        </tr>
                                         <tr>
                                          <td nowrap style="padding-left: 5px">OTROS:</td>
                                          <td nowrap style="padding-left: 20px"></td>
                                          <td nowrap><h4 id="otros_tr"></h4></td>
                                        </tr>
                                         <tr>
                                          <td nowrap><h3><b>IMPORTE TOTAL:</b></h3></td>
                                          <td nowrap></td>
                                          <td nowrap><h3><b id="importe"></b></h3></td>
                                        </tr>
                                      </table>
                                      <table>
                                        <tr>
                                          <td nowrap>OBSERVACIONES:</td>
                                          <td style="padding-left: 20px" id="reciboObs"></td>
                                          <td nowrap></td>
                                        </tr> 
                                      </table>
                                      <br></br>
                                      <table>
                                        <tr>
                                          <td nowrap>____________________</td>
                                          <td style="padding-left: 20px"></td>
                                          <td nowrap>____________________</td>
                                        </tr> 
                                         <tr>
                                          <td nowrap>OP. {{ nombre_usuario }}</td>
                                          <td style="padding-left: 20px"></td>
                                          <td nowrap id="soli1"></td>
                                        </tr> 
                                       
                                      </table>    
                                    </div>
                                  </div>
                                  <div class="modal-footer">
                                    <hr>
                                    <button type="button" class="btn btn-primary" data-dismiss="modal">Cerrar</button>
                                  </div>

                                </div><!-- /.modal-content -->
                              </div><!-- /.modal-dialog -->
                          </div><!-- /.modal -->
                          <div id="modalreciboComision" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                              <div class="modal-dialog">
                                <div class="modal-content">
                                  <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                    <h4 class="modal-title" id="myModalLabel">Detalles</h4>
                                  </div>
                                  <div class="modal-body">
                                    <div  id="platillaComision"  style="font-family:'Lucida Console', Monaco, monospace;font-size:13px;">
                                      <label align="center"><b>RECIBO DE EGRESO</b></label>
                                      <table>
                                        <tr nowrap>==============================</tr>
                                      </table>
                                      <label>{{ SITE_URL }}</label>
                                      <b> OFICINA DESTINO:</b>
                                      <p id="recibi">CUSCO</p>
                                      <br>
                                      <b>IMPORTE:</b>
                                      <table>
                                        <tr>
                                          <td>&nbsp;</td>
                                          <td>Soles</td>
                                          <td>&nbsp;</td>
                                          <td>Dolares</td>
                                        </tr>
                                        <tr>
                                          <td nowrap>Comisión: S/</td>
                                          <td nowrap><h4 id="MScomi"></h4></td>
                                          <td>&nbsp;</td>
                                          <td nowrap><h4 id="MDcomi"></h4></td>
                                        </tr>
                                        <tr>
                                          <td nowrap>Capital:</td>
                                          <td nowrap><h4 id="MScapi"></h4></td>
                                          <td>&nbsp;</td>
                                          <td nowrap><h4 id="MDcapi"></h4></td>
                                        </tr>
                                        <tr>
                                          <td>Pagos Transferencia:</td>
                                          <td nowrap><h4 id="MSPT"></h4></td>
                                          <td>&nbsp;</td>
                                          <td nowrap><h4 id="MDPT"></h4></td>
                                        </tr>
                                        <tr>
                                          <td>Egreso:</td>
                                          <td nowrap><h4 id="MegresoS"></h4></td>
                                          <td>&nbsp;</td>
                                          <td nowrap><h4 id="MegresoD"></h4></td>
                                        </tr>
                                        <tr>
                                          <td>Total:</td>
                                          <td nowrap><h4 id="MStotal"></h4></td>
                                          <td>&nbsp;</td>
                                          <td nowrap><h4 id="MDtotal"></h4></td>
                                        </tr>
                                      </table>
                                      <b>CONCEPTO:</b>
                                      <p >Envío de dinero </p>
                                      <br>
                                      <br>
                                      <p>________________</p>
                                      <b>OP. {{ nombre_usuario }}</b>
                                      <table>
                                        <tr>
                                          <td><label id="fechaCo"></label></td>
                                          <td>&nbsp;</td>
                                          <td><label id="horaCo"></label></td>
                                        </tr>
                                      </table>
                                    </div>
                                  </div>
                                  <div class="modal-footer">
                                    <hr>
                                    <button type="button" class="btn btn-primary" data-dismiss="modal">Cerrar</button>
                                  </div>

                                </div><!-- /.modal-content -->
                              </div><!-- /.modal-dialog -->
                          </div><!-- /.modal -->
                              <!--<input type="button" class="btn btn-default btn-block" data-toggle="modal" data-target="#myModal" value="Clientes">-->
                          <div id="modal_confirmacion" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                              <div class="modal-dialog">
                                <div class="modal-content">
                                  <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                    <br>
                                  </div>
                                  <div class="modal-body alert alert-warning"role="alert">
                                    <div class="row">
                                      <div class="col-md-12">
                                        <div class="row grp_alr" align="center">
                                          <h3 >EXTORNAR TRANFERENCIA ?</h3>
                                        </div>
                                        <div class="row grp_alr" align="center">
                                          <h4 id="extorno_total"></h4>
                                        </div>
                                        <div class="row grp_alr" align ="center">
                                          <label>Esta accion sera irreversible!</label>
                                        </div>
                                        <div class="row grp_pgs" align="center" hidden>
                                            <h3>PROCESANDO...</h3>
                                        </div>
                                        <div class="row grp_pgs" hidden>
                                          <div class="progress">
                                            <div class="progress-bar progress-bar-striped active" role="progressbar" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100" style="width: 100%">
                                            </div>
                                          </div>
                                        </div>
                                        <div class="row grp_alr">
                                          <div class="col-md-4 col-md-offset-2">
                                            <button type="button" class="btn btn-default btn-block" data-dismiss="modal">Cancelar</button>
                                          </div>
                                          <div class="col-md-4">
                                            <button type="button" class="btn btn-danger btn-block" id="alert_aceptar">EXTORNAR</button>
                                          </div>
                                        </div>
                                      </div>
                                    </div>
                                  </div>
                                </div><!-- /.modal-content -->
                              </div><!-- /.modal-dialog -->
                          </div><!-- /.modal -->

                          <div id="modal_confirmacion_nombre" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                              <div class="modal-dialog">
                                <div class="modal-content">
                                  <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                    <br>
                                  </div>
                                  <div class="modal-body alert alert-warning"role="alert">
                                    <div class="row">
                                      <div class="col-md-12">

                                        <div class="row" align="center">
                                          <h4><strong>VERIFIQUE LOS DATOS CON EL QUE SE CAMBIARAN</strong></h4>
                                        </div>
                                        <div class="row" align ="center">
                                          <label><strong id="txtDatosC"></strong> </label>
                                        </div>
                                         <div class="row" align ="center">
                                          <label><strong id="txtDatosR"></strong></label>
                                        </div>
                                         <div class="row" align ="center">
                                          <label><strong id="txtMensaje"></strong></label>
                                        </div>
                                       
                                        <div class="row">
                                           
                                          <div class="col-md-offset-4 col-md-4">

                                            <button type="button" class="btn btn-success btn-block" data-dismiss="modal" id="btnConfirmacion">Aceptar</button>
                                             <button type="button" class="btn btn-danger btn-block" data-dismiss="modal" id="btnCancelConfirmacion">Cerrar</button>
                                          </div>
                                        </div>
                                      </div>
                                    </div>
                                  </div>
                                </div><!-- /.modal-content -->
                              </div><!-- /.modal-dialog -->
                          </div><!-- /.modal -->




                          <div class="table-responsive" >
                            <table class="table table-hover table-striped" id="tableST">
                                <thead>
                                  <tr >
                                    <th>Beneficiado</th>
                                    <th>Monto</th>
                                    <th>Remitente</th>
                                    <th>Fecha</th>
                                    <th>Origen</th>
                                    <th>Destino</th>
                                    <th>S/T</th>
                                    <th>Comision</th>
                                    <th>Otros</th>
                                    <th>Moneda</th>
                                    <th>Obs.</th>
                                    <th>Detalle</th>
                                    <th>Estado</th>
                                    <th>Fecha Pago</th>
                                    <th>Pagodor</th>
                                  </tr>
                                </thead>
                                <tbody id="listaTransf">
                                </tbody>
                            </table>
                          </div>
                      </div>
                  </div>

                </div>
              </div>
          </div>
        </div>
<div id="myModalB" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content" id="modal-content-bene">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="myModalLabel">Beneficiado</h4>
      </div>
      <div class="modal-body"> 
            <div class="row">
              <div class="col-md-12">
                <div class="alert alert-info" role="alert">
                  <b>* Corregir Beneficiario: </b>Solo corrige algún dato del beneficiario y esta corrección afectara a transferencias pasadas. (Ejemplo, alguna letra o carácter del nombre).<br>
                  <b>* Cambiar Beneficiario: </b>Cambiara o reemplazara por completo el beneficiario.
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-md-5 col-md-offset-3">
                <div class="form-group">
                  <div class="input-group">
                    <div class="input-group-addon" ><label id="dniRUCB">DNI:</label></div>
                    <input type="text" class="form-control" id="txtDNIB" name="DniRucB" data-minlength="8" data-maxlength="11"  data-provide="typeahead" autocomplete="off">
                  </div>
                  <div class="form-control-feedback" style="text-align:left;" ></div>
                  <div class="help-block with-errors"></div>
                </div>              
              </div>
              <div class="col-md-3">
                <!--<button class="btn btn-warning btn-block btn-xs" id="btn_consultar">Consultar</button>-->
              </div>
            </div>
            <div class="row">
              <input type="text" class="hidden" name="IdBeneficiado" id="IdBeneficiado">
              <div class="col-md-3 col-md-offset-1" align="right">
                <label>Nombre : </label>
              </div>
              <div class="col-md-4">
                <input type="text" class="form-control" id="txtNombreB" data-provide="typeahead" autocomplete="off">
              </div>
              <div class="col-md-4">
                <button class="btn btn-primary btn-block btn-xs" id="btn_limpiar_bene">Limpiar</button>
              </div>
            </div>
            <p></p>
            <div class="row">
              <div class="col-md-3 col-md-offset-1" align="right">
                <label>Apellido Paterno: </label>
              </div>
              <div class="col-md-4">
                <input type="text" class="form-control" id="txtAPB" data-provide="typeahead" autocomplete="off">
                <p></p>
              </div>
            </div>
            <p></p>
            <div class="row">
              <div class="col-md-3 col-md-offset-1" align="right">
                <label>Apellido Materno: </label>
              </div>
              <div class="col-md-4">
                <input type="text" class="form-control" id="txtAMB" data-provide="typeahead" autocomplete="off">
                <p></p>
              </div>
            </div>
            <p></p>
             <div class="row">
            <input type="hidden" id="valorCHB" name="valorCHB">
              <div class="col-md-8 col-md-offset-4"> 
                  <div class="chbOfDNIMenor checkbox">
                    <label>
                      <input type="checkbox" id="chb" class="chbo"> Habilitar DNI Menor
                    </label>
                  </div>  
              </div>
            </div>
            <div class="row">
              <div class="col-md-4">
                <button type="button" class="btn btn-sm btn-default btn-block" id="ActualizarBen" data-loading-text="Modificando..."> <i class="fa fa-check" data-toggle="tooltip" data-placement="bottom" title="Click para guardar modificación"></i> Corregir Nombre</button>
              </div> 
              <div class="col-md-4 col-md-offset-4">
                <button  class="btn btn-xs btn-default btn-block" id="CambiarBen">Cambiar Beneficiario</button>
              </div> 
            </div>
      </div>
    </div><!-- /.modal-content -->
  </div><!-- /.modal-dialog -->
</div>

<div id="myModalSolici" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-sm">
    <div class="modal-content">
      <div class="modal-body"> 
          <div class="row">
            <div class="panel panel-default" id="panel_solicitante">
              <div class="panel-heading" id="grupoS"> 
                <b>DATOS DEL SOLICITANTE <span id="cabecera_soli"></span></b> 
              </div>
            </div>
          </div>
          <div class="row m_sol">
              <div class="col-md-4" align="right">
                <label>DNI : </label>
              </div>
              <div class="col-md-5">
                <input type="text" class="form-control" id="txtDNIS" data-minlength="8" data-maxlength="11"data-provide="typeahead" autocomplete="off">
                <input type="text" class="hidden" id="IdCliente">
                   <div class="form-control-feedback" style="text-align:left;" ></div>
              </div>
              
              <script type="text/javascript">
              $(document).ready(function(){
                $('#txtDNIS').numeric();            
              });
            </script>
          </div>
          <p></p>
            
            <div class="row m_sol">
              <div class="col-md-4" align="right">
                <label>Nombre : </label>
              </div>
              <div class="col-md-8">
                <input type="text" class="form-control" id="txtNombreS" data-provide="typeahead" autocomplete="off">
              </div>
            </div>
            <p></p>
            <div class="row m_sol">
              <div class="col-md-4" align="right">
                <label>Apellido Paterno: </label>
              </div>
              <div class="col-md-8">
                <input type="text" class="form-control" id="txtAPS" data-provide="typeahead" autocomplete="off" >
                <p></p>
              </div>
            </div>
            <p></p>
            <div class="row m_sol">
              <div class="col-md-4" align="right">
                <label>Apellido Materno: </label>
              </div>
              <div class="col-md-8">
                <input type="text" class="form-control" id="txtAMS" data-provide="typeahead" autocomplete="off">
                <p></p>
              </div>
            </div>
            <p></p>
            
            <div class="row m_sol">
              <div class="col-md-6 col-md-offset-3">
                <button type="button" class="btn btn-sm btn-warning btn-block" id="ActualizarSol" data-loading-text="Modificando..."> <i class="fa fa-check" data-toggle="tooltip" data-placement="bottom" title="Click para guardar modificación"></i> Guardar</button>
              </div> 
            </div>
            <div class="row m_solproc">
              <div class="col-md-12">
                <div class="progress">
                  <div class="progress-bar progress-bar-striped active" role="progressbar" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100" style="width: 100%">
                  </div>
                </div>
              </div>
            </div>
      </div>

    </div><!-- /.modal-content -->
  </div><!-- /.modal-dialog -->
</div>
<div id="modal_confirmacion_bancos" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <br>
      </div>
      <div class="modal-body">
        <div class="row">
          <div class="col-md-12">
            <div class="row" align="center">
              <h3 >MODIFICACION DE DATOS DE BANCO</h3>
            </div>
            <div class="row">
              <div class="col-md-12" align="center">
                <p>Se actualizarán el número de cuenta / DNI y el celular de referencia</p>
              </div>
              
            </div>
            <div class="row">
              <div class="col-md-12" align="center">
                <button type="button" class="btn btn-warning btn-sm" id="btn_confirmar_cambio">GUARDAR CAMBIOS</button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div><!-- /.modal-content -->
  </div><!-- /.modal-dialog -->
</div><!-- /.modal -->
<!-- modal de filtro avanzado -->
<div id="modalFiltroAvanzado" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
          <label class="modal-title" id="myModalLabel">FILTRO AVANZADO</label>
        </div>
        <div class="modal-body">
          <div class="row">
            <div class="col-md-12">
              <div class="row">
                <div class="col-md-2 col-md-offset-5">
                  <div class="checkboxFA">
                      <label class="">
                        <input id="ts4FA" type="checkbox"> Solo activos
                      </label>
                  </div> 
                 </div>
              </div>
              <div class="row">
                <p class="bg-info" align="center">
                  FECHA DE ENVIO
                </p>
              </div>
              <div class="row">
                <div class="col-md-3 col-md-offset-1">
                  <label for="comboFiltroF">Filtrar por:</label>
                  <div class="fg-line">
                    <div class="select">
                      <select class="form-control" id="comboFechasFA">
                        <option value="0">Cualquier Fecha</option>
                        <option value="h">hoy</option>
                        <option value="f">Fecha</option>
                        <option value="ef">Entre Fechas</option>
                      </select>
                    </div>
                  </div>
                  <p></p>
                </div>
                <div class="col-md-2">
                  <label for="txtfecha1">Del:</label>
                  <input type="text" class="form-control" id="txtfechaFA1">
                  <p></p>
                </div>
                <div class="col-md-2">
                  <label for="txtfecha2">Hasta:</label>
                  <input type="text" class="form-control" id="txtfechaFA2">
                  <p></p>
                </div>
              </div>
              <div class="row">
                <p class="bg-info" align="center">
                  OFICINAS
                </p>
              </div>
              <div class="row">
                <div class="col-md-6">
                  <div class="row" align="center">
                    <div class="checkboxSAFC">
                      <label class="">
                        <input id="ts4FASA" type="checkbox"> Solo de Caja
                      </label>
                  </div> 
                  </div>
                  <div class="row">
                    <div class="col-md-4"  align="right">
                      <h4><b style="font-size: 15px;">Oficina Origen:</b></h4> 
                    </div>
                    <div class="col-md-8" >
                      <div class="select">
                          <select id="ComboOficinaFAO" placeholder="Seleccione Oficina"> 
                            <option value="0">Todas las oficinas</option>  
                          </select>
                      </div>
                    </div>
                  </div>
                  <div class="row">
                    <div class="col-md-4"  align="right">
                      <h4><b style="font-size: 15px;">Caja Origen:</b></h4> 
                    </div>
                    <div class="col-md-8" >
                      <div class="select">
                          <select class="form-control" id="ComboCajaFAO">   
                          </select>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="row">
                    <br>
                    <br>
                  </div>
                  <div class="row">
                    <div class="col-md-4"  align="right">
                      <h4><b style="font-size: 15px;">Oficina Destino:</b></h4> 
                    </div>
                    <div class="col-md-8" >
                      <div class="select">
                          <select id="ComboOficinaFAD" placeholder="Seleccione Oficina"> 
                            <option value="0">Todas las oficinas</option>  
                          </select>
                      </div>
                    </div>
                  </div>
                </div>

                
                
                
              </div>
              <div class="row">
                <p class="bg-info" align="center">
                  NOMBRES Y APELLIDOS (benefiaciado o solicitante)
                </p>
              </div>
              <div class="row">
                <div class="col-md-3 col-md-offset-1">
                 <input type="text" class="form-control" id="txtnombreFA" placeholder="NOMBRE">
                  <p></p>
                </div>
                <div class="col-md-3">
                 <input type="text" class="form-control" id="txtapFA" placeholder="A. PATERNO">
                  <p></p>
                </div>
                <div class="col-md-3">
                 <input type="text" class="form-control" id="txtamFA" placeholder="A. MATERNO">
                  <p></p>
                </div>
              </div>
              <div class="row">
                <p class="bg-info" align="center">
                  EXTRAS
                </p>
              </div>
              <div class="row">
                <div class="col-md-2 col-md-offset-1">
                  <label>Nro por Pagina</label>
                </div>
                <div class="col-md-2">
                 <input type="text" class="form-control" id="txtnropagFA" placeholder="1000">
                  <p></p>
                </div>
              </div>
              <div class="row">
                <div class="col-md-4 col-md-offset-4" >
                  <button type="button" class="btn btn-primary btn-block btn-sm" id="ProcesarFA"> <span class="glyphicon glyphicon-hourglass"></span> FILTRAR</button>
                  <p></p>
                </div>

              </div>
            </div>
          </div>
          
        </div>

      </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->
<!-- end modal filtro avanzado-->
<script type="text/JavaScript">
    var x_st_total='{{ x_st_to }}';
    var pagina=1;
    var Aux="";
    var Aux2="";
    var Aux3="";
    var Aux5="";
    var Aux6="";
    var Aux7="";
    var filaI =0;
    var estad="";  
    var i1=0;
    var i2=0;        
    var p1=0;        
    var p2=0;
    var e1=0;
    var e2=0; 

    var nombreGlobal="";
    var apGlobal="";
    var amGlobal="";
    var dniGlobal="";

    //-------------- solicitante -------------------
    var nombreGlobalSol="";
    var apGlobalSol="";
    var amGlobalSol="";
    var dniGlobalSol="";

    //----------------------------------------------
    var nombreBAux="";
    var apBAux="";
    var amBAux="";
    var estadoAux="";
   $(document).ready(function(){
    $("#btnMB").click(function(){
        $("#txtDNIB").val($("#txtN").val());
        $("#txtNombreB").val($("#lbNB").text());
        $("#txtAPB").val($("#lbAPB").text());
        $("#txtAMB").val($("#lbAMB").text());
        /*$("#txtNombreB").val("");
        $("#txtAPB").val("");
        $("#txtAMB").val("");*/
        $("#txtDNIB").prop("readonly",false);
        $("#txtNombreB").prop("readonly",false);
        $("#txtAPB").prop("readonly",false);
        $("#txtAMB").prop("readonly",false);

    });
    $("#modificarSli").click(function(){
      $(".m_solproc").hide();
    });

    $("#btnCancelConfirmacion").click(function(){
      $("#txtNombreB").val(nombreGlobal);
      $("#txtAPB").val(apGlobal);
      $("#txtAMB").val(amGlobal);
      $("#txtDNIB").val(dniGlobal);
      $("#txtDNIB").prop("readonly",false);
      $("#txtNombreB").prop("readonly",false);
      $("#txtAPB").prop("readonly",false);
      $("#txtAMB").prop("readonly",false);

    });
                           
    $("#ActualizarBen").click(function(){
        $(this).button('loading');
        $.ajax({
          data:{'idST':$("#txtIDtrans").prop("value"),'dniB':$("#txtDNIB").val(),'nombreB':$("#txtNombreB").val(),'apB':$("#txtAPB").val(),'amB':$("#txtAMB").val(),'dniMenor':$("#valorCHB").val()},
          url:'/modificarBeneficiado_ajax/',
          type:'GET',
          dataType:'json',
          success: function(data){
            console.log(data.error);
            if (data.exito=="1"){
              $("#ActualizarBen").button('reset');  
              $("#lbNB").text($("#txtNombreB").val());
              $("#lbAPB").text($("#txtAPB").val());
              $("#lbAMB").text($("#txtAMB").val());
              $("#myModalB").modal("hide");

              bootbox.alert("Modificación exitosa"); 

            }else{
              $("#ActualizarBen").button('reset');
              $("#myModalB").modal("hide");
              bootbox.alert("Error en la modificación. "+data.error);
              
            }
            $("#myModal").modal("hide");
            ajax_Transferencias();
          },  
          error: function(xhr, textStatus, errorThrown) {
            console.log(xhr.responseText);
          },
        }); 
      });
      $("#CambiarBen").click(function(){
        $.ajax({
          data:{'IdBeneficiado':$('#IdBeneficiado').val(),'dniB':$("#txtDNIB").val(),'cambio':'si','idST':$("#txtIDtrans").prop("value"),'nombreB':$("#txtNombreB").val(),'apB':$("#txtAPB").val(),'amB':$("#txtAMB").val(),'dniMenor':$("#valorCHB").val()},
          url:'/modificarBeneficiado_ajax/',
          type:'GET',
          dataType:'json',
          success: function(data){
            console.log(data.error);
            if (data.exito=="1"){ 
              $("#lbNB").text($("#txtNombreB").val());
              $("#lbAPB").text($("#txtAPB").val());
              $("#lbAMB").text($("#txtAMB").val());
              $("#myModalB").modal("hide");
              bootbox.alert("Se cambio de Beneficiario"); 
            }else{
              $("#ActualizarBen").button('reset');
              $("#myModalB").modal("hide");
              
              bootbox.alert("Error. "+data.error);
            }
            $("#myModal").modal("hide");
            ajax_Transferencias();
          },  
          error: function(xhr, textStatus, errorThrown) {
            console.log(xhr.responseText);
          },
        }); 
      });
    
    $("#ActualizarSol").click(function(){
      $("#ActualizarSol").button('loading');
          $.ajax({
            data:{'idST':$("#txtIDtrans").val(),'dniS':$("#txtDNIS").val(),'nombreS':$("#txtNombreS").val(),'apS':$("#txtAPS").val(),'amS':$("#txtAMS").val(),'IdCliente':$("#IdCliente").val()},
            url:'/modificarSolicitante/',
            type:'GET',
            dataType:'json',
            success: function(data){
              console.log(data.error);
              if (data.exito=="1"){
                $("#ActualizarSol").button('reset');  
                $("#myModalSolici").modal("hide");
                $("#myModal").modal("hide");
                bootbox.alert("Modificación exitosa"); 
                ajax_Transferencias();
              }else{
                $("#ActualizarSol").button('reset');
                $("#myModal").modal("hide");
                $("#myModalSolici").modal("hide");
                bootbox.alert("Error en la modificación. "+data.error);
                ajax_Transferencias();
              }
            },  
          error: function(xhr, textStatus, errorThrown) {
              console.log(xhr.responseText);
            },
          }); 

    });
       $(document).on('show.bs.modal', '.modal', function () {
          var zIndex = 1040 + (10 * $('.modal:visible').length);
          $(this).css('z-index', zIndex);
          setTimeout(function() {
              $('.modal-backdrop').not('.modal-stack').css('z-index', zIndex - 1).addClass('modal-stack');
          }, 0);
      });
      $(document).on('hidden.bs.modal', '.modal', function () {
          $('.modal:visible').length && $(document.body).addClass('modal-open');
      });
      $('#txtN').numeric(); 
      $("#fd").hide();
      $("#extornarT").prop('disabled',false); 
      $("#extornarT").click(function(){
        $("#idn").text($("#txtN").val());
      });
                  
      $("#rimprimir").click(function(){
        $("#idST").text("ST: "+$("#txtIDtrans").val());
        if (estad=="activo" || estad =="pagado"){
          $("#bene").text($('#lbNB').text()+"\n"+$('#lbAPB').text()+" "+$('#lbAMB').text());
          $('#platillaI2').printThis();
        }
        else{
          $("#idn").text($("#txtN").val());
          $('#platillaI').printThis();
        }
        
      });
      ajax_Transferencias();
      $("#RefrescarLista").click(function(){
        ajax_Transferencias();
      });                
      $(document).on("click",".filaTrans",function(){
        $("#alertMessage").addClass("hidden");
        var num = $(this).attr('id');
        filaI = num;
        var fila= $(this).attr('class');
        $('#extornarT').show();
        $('#btn_actualizar_bancos').hide();
        $("#areap").show();
        //$("#rimprimir").show();
        $('#txtN').prop('disabled',false);
        //--------------
        $('#txtnr').text(Aux[filaI].nroRecibo);
        $('#txtEstadoTrans').prop("value",Aux[filaI].estado);
        $('#txtDNI').prop("value",Aux[filaI].dni_rmt);
        $('#txtNombres_Soli').prop("value",Aux[filaI].nombre_rmt+" "+Aux[filaI].paterno_rmt +" "+ Aux[filaI].materno_rmt);
         
        $(".eliminarC").addClass("hidden");
        $(".editarC").addClass("hidden");

        $('#txtDNIB').prop("value",Aux[filaI].dni_bnf);
        $('#txtNombreB').prop("value",Aux[filaI].nombre_bnf);
        $('#txtAPB').prop("value",Aux[filaI].paterno_bnf);
        $('#txtAMB').prop("value",Aux[filaI].materno_bnf);

        nombreGlobal=Aux[filaI].nombre_bnf;
        apGlobal=Aux[filaI].paterno_bnf;
        amGlobal=Aux[filaI].materno_bnf; 
        dniGlobal=Aux[filaI].dni_bnf; 
        //--------modificacion solicitante -----
        $('#txtDNIS').prop("value",Aux[filaI].dni_rmt);
        $('#txtNombreS').prop("value",Aux[filaI].nombre_rmt);
        $('#txtAPS').prop("value",Aux[filaI].paterno_rmt);
        $('#txtAMS').prop("value",Aux[filaI].materno_rmt);

        nombreGlobalSol=Aux[filaI].nombre_rmt ;
        apGlobalSolsol=Aux[filaI].paterno_rmt;
        amGlobalsol=Aux[filaI].materno_rmt; 
        dniGlobalSol=Aux[filaI].dni_rmt; 
        //---------------------------------------

        $("#txtDatosC").text("");
        $("#txtDatosC").text("NOMBRE ANTERIOR :"+nombreGlobal+" "+apGlobal+" "+amGlobal);


        if(Aux[filaI].dniMenor=="no"){
          $(".chbOfDNIMenor").removeClass("active");
          $("#valorCHB").val("no");
        }else{
          $(".chbOfDNIMenor").addClass("active");
          $("#valorCHB").val("si");
        }

        $('#lbNB').text(Aux[filaI].nombre_bnf);
        $('#lbAPB').text(Aux[filaI].paterno_bnf);
        $('#lbAMB').text(Aux[filaI].materno_bnf);

        nombreBAux=Aux[filaI].nombre_bnf;
        apBAux=Aux[filaI].paterno_bnf;
        amBAux=Aux[filaI].materno_bnf;
        estadoAux=Aux[filaI].estado;

        $("#txtN").prop('value',Aux[filaI].dni_bnf);
        $('#txtIDtrans').prop("value",Aux[filaI].id_trans);
        $('#txtFecha').prop("value",Aux[filaI].fecha);
        $('#txtPersonalE').prop("value",Aux[filaI].id_personal);
        $("#txtPerDig").prop("value",Aux[filaI].usuGlo);
        $('#txtOficinaDest').prop("value",Aux[filaI].oficina_des);
        $('#txtMonto').prop("value",Aux[filaI].monto);
        $('#txtComicion').prop("value",Aux[filaI].comicion);
        $('#txtObs').prop("value",Aux[filaI].obs);
        $('#txtotros_con').prop("value",Aux[filaI].otros_conceptos);
        $("#reciboObs").text(Aux[filaI].obs);
        $("#reciboDet").text(Aux[filaI].otros_conceptos);
        $("#plB").text(Aux[filaI].nombre_bnf +" "+ Aux[filaI].paterno_bnf +" "+ Aux[filaI].materno_bnf);
        $("#plR").text(Aux[filaI].nombre_rmt+" "+Aux[filaI].paterno_rmt +" "+ Aux[filaI].materno_rmt);
        $("#plObs").text($("#txtObspe").val());
        estad=Aux[filaI].estado;
        var mr="";
        if(Aux[filaI].moneda=="soles")
          {
            mr="S/. "
          }
        else
          {
            mr="$/. "
        }
        if (Aux[filaI].AutEx=="todo"){
          $("#caextTo").show();
          $("#plM").text(mr +String(Aux[filaI].monto));
          $("#extCo").text(parseFloat(Aux[filaI].comicion)+parseFloat(Aux[filaI].monto_conceptos));
        }
        else{
          $("#plM").text(mr +String(Aux[filaI].monto));
          $("#extCo").text('');
          $("#caextTo").hide();
        }
        //
        if(x_st_total=='si'){
          $("#extorno_total").html("Se extornara: <b>CAPITAL + COMISIÓN </b>");
        }
        else{
          $("#extorno_total").html("Se extornara: <b>SOLO EL CAPITAL</b>");
        }
        //

        //$("#plM").text(Aux[filaI].monto);
        $("#plOri").text(Aux[filaI].oficina_des);
        var fecha = new Date();
        var mes = [
                "Enero",
                "Febrero",
                "Marzo",
                "Abril",
                "Mayo",
                "Junio",
                "Julio",
                "Agosto",
                "Septiembre",
                "Octubre",
                "Noviembre",
                "Diciembre"
                ];
        var textofecha= fecha.getDate() + " de " + mes[fecha.getMonth()] + " del " + fecha.getFullYear();
        var hora = new Date();
        var textohora = hora.getHours() + ":" + hora.getMinutes();
        $("#fepa").text(textofecha);
        $("#hopa").text(textohora);

        if(Aux[filaI].estado =="activo"){
            $("#btnMB").removeClass("hidden");
            $('#btn_actualizar_bancos').show();
        }

        if(Aux[filaI].estado !="activo"){
          //$('#extornarT').prop('disabled',true);
          //$('#ForzarpagoT').prop('disabled',true);
          $('#extornarT').hide();
          $('#txtN').prop('disabled',true);
          $("#areap").hide();
          $("#btnMB").addClass("hidden");
          //$("#rimprimir").hide()
        }
        if((Aux[filaI].estado=='activo') || (Aux[filaI].estado=='pagado'&&Aux[filaI].pago_forzado!='si')){
          var m='';
          if(Aux[filaI].moneda=="soles")
            {
              m="S/. "
            }
          else
            {
              m="$/. "
            }
          //$("#pldet").html("Monto:"+m+Aux[filaI].monto+"<br>Comision: "+m+Aux[filaI].comicion+"<br> Otros:"+m+Aux[filaI].monto_conceptos);
          $("#monto_tr").text(m+Aux[filaI].monto);
          $("#comi_tr").text(m+Aux[filaI].comicion);
          $("#otros_tr").text(m+Aux[filaI].monto_conceptos);
          var monto_capi=Aux[filaI].monto.toString().replace(",", "");
          var total= parseFloat(monto_capi)+parseFloat(Aux[filaI].comicion)+parseFloat(Aux[filaI].monto_conceptos);

          $("#fechaRecibo").text(Aux[filaI].fecha);
          $("#importe").text(m+String(total));
          //$("#usuario").text(usuario);
          $("#nror").text("NRO: "+Aux[filaI].nroRecibo);
          $("#bene").text(Aux[filaI].nombre_bnf +"\n"+ Aux[filaI].paterno_bnf +" "+ Aux[filaI].materno_bnf);
          $("#soli").text(Aux[filaI].nombre_rmt+"\n"+Aux[filaI].paterno_rmt +" "+ Aux[filaI].materno_rmt);
          $("#oficinaDestino").text(Aux[filaI].oficina_des);
           $("#soli1").text(Aux[filaI].nombre_rmt+"\n"+Aux[filaI].paterno_rmt +" "+ Aux[filaI].materno_rmt);                                    
        }
        if(Aux[filaI].estado=='extornado'){
          $("#plTitulo").text("transferencia extornado");
        }
        if(Aux[filaI].pago_forzado=='si'){
          $("#plTitulo").text("pago forzado");
          //$("#rimprimir").show();
          estad="pagoforzado";
        }
        $("#divDetBanco").hide();
        $("#txtdetb-banco").val(null);
        $("#txtdetb-nrocta").val(null);
        $("#txtdetb-celref").val(null);
        $("#txtdetb-nroope").val(null);
        $("#txtdetb-nrogiro").val(null);
        $("#txtdetb-clave").val(null);
        if(Aux[filaI].banco.length>2){
          $("#divDetBanco").show();
          $("#txtdetb-banco").val(Aux[filaI].banco);
          $("#txtdetb-nrocta").val(Aux[filaI].nroCta);
          $("#txtdetb-celref").val(Aux[filaI].cel_referencia);
          $("#txtdetb-nroope").val(Aux[filaI].nro_operacion);
          $("#txtdetb-nrogiro").val(Aux[filaI].nro_giro);
          $("#txtdetb-clave").val(Aux[filaI].clave);
          //consulta
          //ajax_detalle_banco();
        }
      });
      $("#btn_actualizar_bancos").click(function(){
        $("#modal_confirmacion_bancos").modal("show");
        
      })
      $("#btn_confirmar_cambio").click(function(){
        ajax_actualizar_detalle_banco();
      })
      //------ cambiar datos de cuenta
      function ajax_actualizar_detalle_banco(){
          $.ajax({
            data:{'idT':$('#txtIDtrans').val(),'nroCta':$('#txtdetb-nrocta').val(),'celRef':$('#txtdetb-celref').val(),'nroOpe': $("#txtdetb-nroope").val(),'nroGiro':$("#txtdetb-nrogiro").val(),'clave':$("#txtdetb-clave").val()},
            url:'/ModificarDetalleCuentas_ajax/',
            //async:false,
            type:'GET',
            dataType:'text',
            success: function(data){
              $("#modal_confirmacion_bancos").modal("hide");
              $("#myModal").modal("hide");
              ajax_Transferencias();
              if(data=='exito'){
                bootbox.alert({
                  message: "Operación exitosa. Se Modificaron los detalles de bancos",
                  className: 'bb-alternate-modal'
                });
               }
               else{
                bootbox.alert({ 
                  message: "Error. "+data,
                  className: 'bb-alternate-modal'
                });
              }
            }
          });
        };
      function ajax_Transferencias(){
        $("#comboFechasFA").val('h');
        ajax_TransferenciasFA(null,null);
        
      };
      $("#buscar").click(function(){
        $('#listaTransf').html('');
        pagina=1;
        PonerInicioPag();
        ajax_TransferenciasTotal_filtro();
      });     

      $("#extornarT").click(function(){//boton q llama ala confirmacion
        $('#modal_confirmacion').modal('show');
      });
      $("#alert_aceptar").click(function(){
        mostrar_progress();
        ajax_solicitudExtorno(Aux[filaI].id_trans);
        ocultarmodal();
      });
      function mostrar_progress(){
        $(".grp_alr").hide();
        $(".grp_pgs").show();
      };
      function ocultar_progress(){//llamar desde la funcion
        $('#modal_confirmacion').modal('hide');
        $(".grp_alr").show();
        $(".grp_pgs").hide();
      };
      function ajax_TransferenciasTotal_filtro(){
        $('.table-responsive').waitMe({effect : 'progressBar',text : 'Recuperando Datos'});
        $.ajax({
          data:{'pg':pagina,'filtro':$("#filtro").val()},
          url:'/listaTransfereciasCreadasGlobalesTotal_filtro_ajax/',
          type:'GET',
          dataType:'json',
          success: function(data){
            Aux = data;
            var html ="";
            for(var i=0;i<data.length;i++){
              var estado ="";
              if(data[i].estado=="pagado"){
                estado = "success";
              }
              if(data[i].pago_forzado=="si"){
                estado= "warning"
              };
              if(data[i].estado =="extornado"){
                estado="danger";
              }
              if(data[i].estado=="activo"){
                estado= ''
              }
              html += '<tr data-toggle="modal" data-target="#myModal" class="filaTrans '+estado+'" id="'+i+'"><td>'+data[i].nombre_bnf+' '+data[i].paterno_bnf+' '+data[i].materno_bnf+'</td><td style="font-size:16px;font-weight:bold;">'+data[i].monto+'</td><td>'+data[i].nombre_rmt+' '+data[i].paterno_rmt+' '+data[i].materno_rmt+'</td><td>'+data[i].fecha+'</td><td style="color:#2e6da4;font-size:16px;font-weight:bold;" >'+data[i].oficina_ori+'</td><td style="color:#2e6da4;font-size:16px;font-weight:bold;" >'+data[i].oficina_des+'</td><td>'+data[i].nroRecibo+'</td><td><b>'+data[i].comicion+'</b></td><td><b>'+data[i].monto_conceptos+'</b></td><td>'+data[i].moneda+'</td><td>'+data[i].obs+'</td><td>'+data[i].otros_conceptos+'</td><td>'+data[i].estado+'</td><td>'+data[i].fp+'</td><td>'+data[i].usup+'</td></tr>';
            }
            //html+='</tbody></table>';
            $('#listaTransf').html(html);
            $('.table-responsive').waitMe('hide');
            $("#progreso_ajax").hide();
          }
        });
      };
      function ajax_solicitudExtorno(idTransf){
        $.ajax({
          data:{'idT':idTransf,'obs':$("#txtObspe").val(),'dni':$("#txtN").val()},
          url:'/extornar_tranf_ajax/',
          //async:false,
          type:'GET',
          dataType:'text',
          success: function(data){
            if(data=='exito'){
              $("#ExitoMensaje").prop('class','bg-info');
              $("#ExitoMensaje").text("La transferencia se EXTORNO!");
              $("#plTitulo").text("transferencia extornado");
              $('#platillaI').printThis();

              bootbox.alert({ 
                message: "La transferencia se extorno",
                className: 'bb-alternate-modal'
              }); 

              ocultar_progress();
              ajax_Transferencias();
              $('#txtN').prop("value",' ');
             }
           else{
              ocultar_progress();
              $("#ExitoMensaje").prop('class','bg-danger');
              $("#ExitoMensaje").text("la operacion fallo :(" + data);

              bootbox.alert({ 
                message: "La Operación falló",
                className: 'bb-alternate-modal'
              }); 
              
             }

          }
        });
      };             
      function ocultarmodal(){
        $('#myModal').modal('hide')
      };  
      $("#imprimir_trans_bu").click(function(){
         //var datos=$("#comboFiltro :selected").text().split("/");
          var d = new Date();
          var n = d.toLocaleString();

          var doc = new jsPDF('l', 'pt');
          var res = doc.autoTableHtmlToJson(document.getElementById("tableST"));
          doc.setFontSize(14);
          doc.text("Reporte Tranferencias Creadas", 20, 30);
          doc.setFontSize(12);
          doc.text('Oficina : '+'{{ SITE_URL }}', 20, 60);
          doc.text('Usuario : '+'{{ nombre_usuario }}', 20, 80);

          doc.autoTable(res.columns, res.data, {
              margin: {horizontal: 20},
              startY: doc.autoTableEndPosY() + 120,
              margin: {horizontal: 10},
              styles: {overflow: 'linebreak'},
              bodyStyles: {valign: 'top'},
              columnStyles: {email: {columnWidth: 'wrap'}},
              theme: 'grid',
          });

          doc.save('reporteST.pdf');

         //$('#imprimir_trans').printThis();
      });
      function PonerInicioPag(){
          $(".pag").attr('class','pag');
          $("#pag1").attr('class','active pag');
          $("#pg1").text(1);
      };
      //
      $(".pag").click(function(){
        $(".pag").attr('class','pag');
        $(this).attr('class','active pag');
        pagina = $(this).text();
        ajax_Transferencias();
      })
      $("#ant").click(function(){
        var pag = $("#pg1").text();
        pag= parseInt(pag);
        if(pag>1){
          $("#pg1").text(pag-1);
          pagina = pag-1;
          ajax_Transferencias();
        }
      });
      $("#pos").click(function(){
        var pag = $("#pg1").text();
        pag= parseInt(pag);
        $("#pg1").text(pag+1);
        pagina = pag+1;
        ajax_Transferencias();
      });
      //--------------------------
      //-----------------------------------
      //--------- filtro avanzado
      $('#txtnropagFA').numeric(); 
      $('#txtfechaFA1').datetimepicker({
        locale: 'es',
        format: 'YYYY-MM-DD'
      });
      $('#txtfechaFA2').datetimepicker({
        locale: 'es',
        format: 'YYYY-MM-DD'
      });
      $("#txtfechaFA1").hide();
      $("#txtfechaFA2").hide();
      $("#comboFechasFA").change(function(){
        if($(this).val()=="0"||$(this).val()=="h"){
          $("#txtfechaFA1").hide();
          $("#txtfechaFA2").hide();
        }
        if($(this).val()=="f"){
          $("#txtfechaFA1").show();
          $("#txtfechaFA2").hide();
        }
        if($(this).val()=="ef"){
          $("#txtfechaFA1").show();
          $("#txtfechaFA2").show();
        }
      });
      ajax_oficina();
      function ajax_oficina(){
        $.ajax({
          url:'/Admin/oficinas_ajax/',//destino globales//origen en recibidas
          type:'GET',
          dataType:'json',
          success: function(data){
          var html ='<option value="0">Todas las oficinas</option>';
            $("#ComboOficinaFAO").html('');
            for(var i=0;i<data.length;i++){
                html += '<option value="'+data[i].pk+'">'+data[i].nombre_oficina+'</option>';
            }
            $('#ComboOficinaFAO').html(html);
            $('#ComboOficinaFAO').selectize();
            ajax_cajaOrg($('#ComboOficinaFAO').val());
          }
        });
      };
      //----
      $('#ComboOficinaFAO').change(function(){
        $('#ComboCajaFAO').html('');
        ajax_cajaOrg($(this).val());
       
      });
      //----
      function ajax_cajaOrg(pko){
        $.ajax({
          data:{'idOfi':pko},
          url:'/CajasPersonal_ajax/',
          type:'GET',
          dataType:'json',
          success: function(data){
            var html2 ="";
            $("#ComboCajaFAO").html('');
            for(var i=0;i<data.length;i++){
                html2 += '<option value="'+data[i].pk+'">'+data[i].nombre+'</option>';
            }
            $('#ComboCajaFAO').html(html2);
          }
        });
      }
      //---
      ajax_oficina_des();
      function ajax_oficina_des(){
        $.ajax({
          url:'/oficinas_version3_ajax/',//origen globales//destino en recibidas
          type:'GET',
          dataType:'json',
          success: function(data){
          var html1 ='<option value="0">Todas las oficinas</option>';
            $("#ComboOficinaFAD").html('');
            for(var i=0;i<data.length;i++){

                html1 += '<option value="'+data[i].pk+'">'+data[i].nombre_oficina+'</option>';
      
            }
            $('#ComboOficinaFAD').html(html1);
            $('#ComboOficinaFAD').selectize();
          }
        });
      };
      //------
      $("#ProcesarFA").click(function(){
        var saFA=null;
        if($("#ts4FA").prop("checked")){
          saFA="sa";
        }
        var scFA=null;
        if($("#ts4FASA").prop("checked")){
          scFA="sc";
        }
        ajax_TransferenciasFA(saFA,scFA);
      })
      //-------
      function ajax_TransferenciasFA(sa,sc){
         $('.table-responsive').waitMe({effect : 'progressBar',text : 'Recuperando Datos'});
        $.ajax({
          data:{'pg':pagina,'filtroF':$("#comboFechasFA").val(),'fDesde':$("#txtfechaFA1").val(),'fHasta':$("#txtfechaFA2").val(),'sa':sa,'sc':sc,'oficinaO':$("#ComboOficinaFAO").val(),'cajaO':$("#ComboCajaFAO").val(),'oficina':$("#ComboOficinaFAD").val(),'fNombre':$("#txtnombreFA").val(),'fAp':$("#txtapFA").val(),'fAm':$("#txtamFA").val(),'nroXpag':$("#txtnropagFA").val()},
          url:'/listaTransfereciasCreadasGlobal_filtro_avanzado_ajax/',
          //async:false,
          type:'GET',
          dataType:'json',
          success: function(data){
             Aux = data;
            console.log(data);
            var html ="";
            for(var i=0;i<data.length;i++){
              var estado ="";
              if(data[i].estado=="pagado"){
                estado = "success";
              }
              if(data[i].pago_forzado=="si"){
                estado= "warning"
              };
              if(data[i].estado =="extornado"){
                estado="danger";
              }
              if(data[i].estado=="activo"){
                estado= ''
              }
              html += '<tr data-toggle="modal" data-target="#myModal" class="filaTrans '+estado+'" id="'+i+'"><td>'+data[i].nombre_bnf+' '+data[i].paterno_bnf+' '+data[i].materno_bnf+'</td><td style="font-size:16px;font-weight:bold;">'+data[i].monto+'</td><td>'+data[i].nombre_rmt+' '+data[i].paterno_rmt+' '+data[i].materno_rmt+'</td><td>'+data[i].fecha+'</td><td style="color:#2e6da4;font-size:16px;font-weight:bold;" >'+data[i].oficina_ori+'</td><td style="color:#2e6da4;font-size:16px;font-weight:bold;" >'+data[i].oficina_des+'</td><td>'+data[i].nroRecibo+'</td><td><b>'+data[i].comicion+'</b></td><td><b>'+data[i].monto_conceptos+'</b></td><td>'+data[i].moneda+'</td><td>'+data[i].obs+'</td><td>'+data[i].otros_conceptos+'</td><td>'+data[i].estado+'</td><td>'+data[i].fp+'</td><td>'+data[i].usup+'</td></tr>';
            }
            //html+='</tbody></table>';
            $('#listaTransf').html(html);
            $('.table-responsive').waitMe('hide');
            $("#modalFiltroAvanzado").modal('hide');
          }
        });
      };
      //-------------------------------------
      var data_bene={};
      var data_soli= {};
      //---------------- autocompletado
      //*************************** autocompletado **************************
      //***************************** beneficiario **************************
      function datos_beneficiario(){
        return $("#txtDNIB").val()+' '+$("#txtNombreB").val()+' '+$("#txtAPB").val()+' '+$("#txtAMB").val()
      }
      function limpiar_benericiario(){
        $("#IdBeneficiado").prop('value',null);
        $("#txtDNIB").prop('value',null);
        $("#txtNombreB").prop('value',null);
        $("#txtAPB").prop('value',null);
        $("#txtAMB").prop('value',null);
      }
      function verificar_datos_bene(current,input_value){
        if (current.name == datos_beneficiario() || current.name == input_value) {
            $("#panel_beneficiario").prop("class","panel panel-success")
            $("#cabecera_bene").text("Modificando Todo")
            return true
          } 
          else {
            $("#IdBeneficiado").prop('value',null);
            $("#panel_beneficiario").prop("class","panel panel-warning")
            $("#cabecera_bene").text("Modificando Datos")
            return false
          }
      }
      $("#txtDNIB").change(function() {
        var current = $("#txtDNIB").typeahead("getActive");
        if (current) {
          if(verificar_datos_bene(current,$("#txtDNIB").val())){
            data_bene= current;
            $("#IdBeneficiado").prop('value',data_bene.id);
            $("#txtDNIB").prop('value',data_bene.dni);
            $("#txtNombreB").prop('value',data_bene.nombre);
            $("#txtAPB").prop('value',data_bene.ap);
            $("#txtAMB").prop('value',data_bene.am);
          }
          //console.log("if 1");
        } else {
           
           $("#IdBeneficiado").prop('value',null);
           $("#panel_beneficiario").prop("class","panel panel-warning")
            $("#cabecera_bene").text("Modificando Datos")
          console.log("else 1");
        }
        //console.log(cliente);
        
      }); 

      var autoBeneficiario_dni= $('#txtDNIB').typeahead({
        source:  function (query, process) {
          return $.get('/listaCliente_autocompletado_dni_ajax/', { query: query }, function (data) {
                return process(data);
            },'json');
        }
      });
      //*** nombre
      $("#txtNombreB").change(function() {
        var current = $("#txtNombreB").typeahead("getActive");
        if (current) {
          // Some item from your model is active!
          if (current.name == datos_beneficiario() || current.name == $("#txtNombreB").val()) {
            data_bene= current;
            $("#IdBeneficiado").prop('value',data_bene.id);
            $("#txtDNIB").prop('value',data_bene.dni);
            $("#txtNombreB").prop('value',data_bene.nombre);
            $("#txtAPB").prop('value',data_bene.ap);
            $("#txtAMB").prop('value',data_bene.am);
            $("#panel_beneficiario").prop("class","panel panel-success")
            $("#cabecera_bene").text("Modificando Todo")
            //console.log($("#IdBeneficiado").val())
          } 
          else {
            $("#IdBeneficiado").prop('value',null);
            $("#panel_beneficiario").prop("class","panel panel-warning")
            $("#cabecera_bene").text("Modificando Datos")
          }
        } else {
           $("#IdBeneficiado").prop('value',null);

            $("#panel_beneficiario").prop("class","panel panel-warning")
            $("#cabecera_bene").text("Modificando Datos")
        }
        
      }); 

      var autoBeneficiario_nombre= $('#txtNombreB').typeahead({
        source:  function (query, process) {
          return $.get('/listaCliente_autocompletado_nombre_ajax/', { query: query,'ap':$("#txtAPB").val(),'am':$("#txtAMB").val()}, function (data) {
                return process(data);
            },'json');
        }
      });
      // paterno
      $("#txtAPB").change(function() {
        var current = $("#txtAPB").typeahead("getActive");
        if (current) {
          // Some item from your model is active!
          if (current.name == datos_beneficiario() || current.name == $("#txtAPB").val()) {
            data_bene= current;
            $("#IdBeneficiado").prop('value',data_bene.id);
            $("#txtDNIB").prop('value',data_bene.dni);
            $("#txtNombreB").prop('value',data_bene.nombre);
            $("#txtAPB").prop('value',data_bene.ap);
            $("#txtAMB").prop('value',data_bene.am);
            $("#panel_beneficiario").prop("class","panel panel-success")
            $("#cabecera_bene").text("Modificando Todo")
          } 
          else {
            $("#IdBeneficiado").prop('value',null);
            $("#panel_beneficiario").prop("class","panel panel-warning")
            $("#cabecera_bene").text("Modificando Datos")
          }
        } else {
           $("#IdBeneficiado").prop('value',null);
           $("#panel_beneficiario").prop("class","panel panel-warning")
          $("#cabecera_bene").text("Modificando Datos")
        }
      }); 

      var autoBeneficiario_ap= $('#txtAPB').typeahead({
        source:  function (query, process) {
          return $.get('/listaCliente_autocompletado_paterno_ajax/', { query: query,'no':$("#txtNombreB").val(),'am':$("#txtAMB").val()}, function (data) {
                return process(data);
            },'json');
        }
      });
      // materno
      $("#txtAMB").change(function() {
        var current = $("#txtAMB").typeahead("getActive");
        if (current) {
          // Some item from your model is active!
          if (current.name == datos_beneficiario() || current.name == $("#txtAMB").val()) {
            data_bene= current;
            $("#IdBeneficiado").prop('value',data_bene.id);
            $("#txtDNIB").prop('value',data_bene.dni);
            $("#txtNombreB").prop('value',data_bene.nombre);
            $("#txtAPB").prop('value',data_bene.ap);
            $("#txtAMB").prop('value',data_bene.am);
            $("#panel_beneficiario").prop("class","panel panel-success")
            $("#cabecera_bene").text(" Modificando Todo")
          } 
          else {
            $("#IdBeneficiado").prop('value',null);
            $("#panel_beneficiario").prop("class","panel panel-warning")
          $("#cabecera_bene").text("Modificando Datos")
          }
        } else {
           $("#IdBeneficiado").prop('value',null);

           $("#panel_beneficiario").prop("class","panel panel-warning")
          $("#cabecera_bene").text("Modificando Datos")
        }
        //console.log(cliente);
        
      }); 

      var autoBeneficiario_am= $('#txtAMB').typeahead({
        source:  function (query, process) {
          return $.get('/listaCliente_autocompletado_materno_ajax/', { query: query,'ap':$("#txtAPB").val(),'no':$("#txtNombreB").val()}, function (data) {
                return process(data);
            },'json');
        }
      });
      $("#btn_limpiar_bene").click(function(e){
        e.preventDefault();
        limpiar_benericiario();
      })
      //***************************** solicitante **************************
      function datos_solicitante(){
        return $("#txtDNIS").val()+' '+$("#txtNombreS").val()+' '+$("#txtAPS").val()+' '+$("#txtAMS").val()
      }
      function limpiar_solicitante(){
        $("#IdCliente").prop('value',null);
        $("#txtDNIS").prop('value',null);
        $("#txtNombreS").prop('value',null);
        $("#txtAPS").prop('value',null);
        $("#txtAMS").prop('value',null);
      }
      
      $("#txtDNIS").change(function() {
        var current = $("#txtDNIS").typeahead("getActive");
        if (current) {
          // Some item from your model is active!
          if (current.name == datos_solicitante() || current.name == $("#txtDNIS").val()) {
            data_soli= current;
            $("#IdCliente").prop('value',data_soli.id);
            $("#txtDNIS").prop('value',data_soli.dni);
            $("#txtNombreS").prop('value',data_soli.nombre);
            $("#txtAPS").prop('value',data_soli.ap);
            $("#txtAMS").prop('value',data_soli.am);
            $("#panel_solicitante").prop("class","panel panel-success")
            $("#cabecera_soli").text("Modificando Todo")
          } 
          else {
            $("#IdCliente").prop('value',null);
            $("#panel_solicitante").prop("class","panel panel-warning")
            $("#cabecera_soli").text("Modificando Datos")
          }
        } else {
           $("#IdCliente").prop('value',null);
           $("#panel_solicitante").prop("class","panel panel-warning")
           $("#cabecera_soli").text("Modificando Datos")
        }
        //console.log(cliente);
        
      }); 

      var autoSolicitante_dni= $('#txtDNIS').typeahead({
        source:  function (query, process) {
          return $.get('/listaCliente_autocompletado_dni_ajax/', { query: query }, function (data) {
                return process(data);
            },'json');
        }
      });
      //*** nombre
      $("#txtNombreS").change(function() {
        var current = $("#txtNombreS").typeahead("getActive");
        if (current) {
          // Some item from your model is active!
          if (current.name == datos_solicitante() || current.name == $("#txtNombre").val()) {
            data_soli= current;
            $("#IdCliente").prop('value',data_soli.id);
            $("#txtDNIS").prop('value',data_soli.dni);
            $("#txtNombreS").prop('value',data_soli.nombre);
            $("#txtAPS").prop('value',data_soli.ap);
            $("#txtAMS").prop('value',data_soli.am);
            $("#panel_solicitante").prop("class","panel panel-success")
            $("#cabecera_soli").text("Modificando Todo")
          } 
          else {
            $("#IdCliente").prop('value',null);
            $("#panel_solicitante").prop("class","panel panel-warning")
            $("#cabecera_soli").text("Modificando Datos")
          }
        } else {
           //swal("Alerta", "Se creara un nuevo cliente,complete los campos DNI/RUC y Direccion", "warning");
           $("#IdCliente").prop('value',null);
           $("#panel_solicitante").prop("class","panel panel-warning")
           $("#cabecera_soli").text("Modificando Datos")
        }
        //console.log(cliente);
        
      }); 

      var autoSolicitante_nombre= $('#txtNombreS').typeahead({
        source:  function (query, process) {
          return $.get('/listaCliente_autocompletado_nombre_ajax/', { query: query,'ap':$("#txtAPS").val(),'am':$("#txtAMS").val()}, function (data) {
                return process(data);
            },'json');
        }
      });
      // paterno
      $("#txtAPS").change(function() {
        var current = $("#txtAPS").typeahead("getActive");
        if (current) {
          // Some item from your model is active!
          if (current.name == datos_solicitante() || current.name == $("#txtAPS").val()) {
            data_soli= current;
            $("#IdCliente").prop('value',data_soli.id);
            $("#txtDNIS").prop('value',data_soli.dni);
            $("#txtNombreS").prop('value',data_soli.nombre);
            $("#txtAPS").prop('value',data_soli.ap);
            $("#txtAMS").prop('value',data_soli.am);
             $("#panel_solicitante").prop("class","panel panel-success")
            $("#cabecera_soli").text("Modificando Todo")
          } 
          else {
            $("#IdCliente").prop('value',null);
            $("#panel_solicitante").prop("class","panel panel-warning")
            $("#cabecera_soli").text("Modificando Datos")
          }
        } else {
           $("#IdCliente").prop('value',null);
           $("#panel_solicitante").prop("class","panel panel-warning")
           $("#cabecera_soli").text("Modificando Datos")
        }
        //console.log(cliente);
        
      }); 

      var autoSolicitante_ap= $('#txtAPS').typeahead({
        source:  function (query, process) {
          return $.get('/listaCliente_autocompletado_paterno_ajax/', { query: query,'no':$("#txtNombreS").val(),'am':$("#txtAMS").val()}, function (data) {
                return process(data);
            },'json');
        }
      });
      // materno
      $("#txtAMS").change(function() {
        var current = $("#txtAMS").typeahead("getActive");
        if (current) {
          // Some item from your model is active!
          if (current.name == datos_solicitante() || current.name == $("#txtAMS").val()) {
            data_soli= current;
            $("#IdCliente").prop('value',data_soli.id);
            $("#txtDNIS").prop('value',data_soli.dni);
            $("#txtNombreS").prop('value',data_soli.nombre);
            $("#txtAPS").prop('value',data_soli.ap);
            $("#txtAMS").prop('value',data_soli.am);
            //swal("Solicitante", datos_solicitante(), "success");
            //$("#formulario").validator('validate');
            $("#panel_solicitante").prop("class","panel panel-success")
            $("#cabecera_soli").text("Modificando Todo")
            //console.log($("#IdBeneficiado").val())
          } 
          else {
            $("#IdCliente").prop('value',null);
            $("#panel_solicitante").prop("class","panel panel-warning")
            $("#cabecera_soli").text("Modificando Datos")
          }
        } else {
           //swal("Alerta", "Se creara un nuevo cliente,complete los campos DNI/RUC y Direccion", "warning");
           $("#IdCliente").prop('value',null);
           $("#panel_solicitante").prop("class","panel panel-warning")
           $("#cabecera_soli").text("Modificando Datos")
        }
        //console.log(cliente);
        
      }); 

      var autoSolicitante_ami= $('#txtAMS').typeahead({
        source:  function (query, process) {
          return $.get('/listaCliente_autocompletado_materno_ajax/', { query: query,'ap':$("#txtAPS").val(),'no':$("#txtNombreS").val()}, function (data) {
                return process(data);
            },'json');
        }
      });
      $("#btn_limpiar_soli").click(function(e){
        e.preventDefault();
        limpiar_solicitante();
      })
    });
</script>
{% endblock content1 %}
